%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-vfs
Version:          3.0.1
Release:          3%{?dist}
Summary:          JBoss Virtual File System
Group:            Development/Libraries
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-vfs/

# Microsoft JDBC driver needs to be removed
#
# git clone git://github.com/jbossas/jboss-vfs.git
# cd jboss-vfs && git checkout 3.0.1.GA && git checkout-index -f -a --prefix=jboss-vfs-3.0.1.GA/
# rm jboss-vfs-3.0.1.GA/src/test/resources/vfs/test/zipeinit.jar
# tar -cJf jboss-vfs-3.0.1.GA-CLEAN.tar.xz jboss-vfs-3.0.1.GA
Source0:          %{name}-%{namedversion}-CLEAN.tar.xz
Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-logging
BuildRequires:    junit4
BuildRequires:    jboss-parent

Requires:         jboss-logging
Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss Virtual File System.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

rm -rf .classpath archives/ .project

%build
# Skipped because jboss-test is not packaged already
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-3
- Cleaned up source distrubuition, again

* Sun Oct 02 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-2
- Cleaned up source distribution
- Spec cleanup

* Thu Aug 04 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-1
- Initial packaging

